import static org.junit.Assert.assertEquals;
import static org.junit.Assert.fail;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.io.Reader;
import java.io.StringWriter;

import org.junit.Test;


public class FileReadingTest {
	
	// an example of how not to read into a string
	// using character-based IO
	// this test passes but it is inefficient.
	@Test 
	public void badStringInput() {
		try {
			Reader in = new FileReader("src/one.txt");
			int ch = in.read();
			String output = "";
			while (ch != -1) {
				output = output + (char)ch;
				ch = in.read();
			}
			in.close();
			assertEquals(output, "one\n");
		} catch (IOException ex) {
			fail();
		}
	}	
	
	@Test 
	public void goodStringInput() {
		try {
			Reader in1 = new FileReader("src/one.txt");
			Reader in = new BufferedReader(in1);
			int ch = in.read();
			StringWriter output = new StringWriter();
			while (ch != -1) {
				output.write(ch); 
				ch = in.read();
			}
			in.close();
			assertEquals(output.toString(), "one\n");
		} catch (IOException ex) {
			fail();
		}
	}
}
