import java.awt.Color;
import java.awt.Graphics;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.BufferedInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.PrintWriter;
import java.io.Writer;

import javax.swing.JComponent;
import javax.swing.JFrame;


@SuppressWarnings("serial")
public class Image extends JComponent {
	private int width  = 512;
	private int height = 512;
	private int[][] data;
	
	public Image() throws IOException, FileNotFoundException {
		FileInputStream fin1 = new FileInputStream("src/mandrill.pgm");
		BufferedInputStream fin = new BufferedInputStream(fin1); 
		data = new int[width][height];
		for (int i=0; i < width; i++) {
			for (int j=0; j < height; j++) {
				int ch = fin.read();
				if (ch == -1) {
					data[j][i] = 0;
					//throw new IOException("Not enough data in file");
				} else {
					data[j][i] = ch;
				}
			}
			
		}
		fin.close();
	}		
	
	public static void main(String[] args) {
		try {
		Image i = new Image();
		JFrame f = new JFrame("image");
		f.setContentPane(i);
		f.setSize(512,512);
		f.setVisible(true);
		} catch (FileNotFoundException e) {
		   System.out.println("Cannot load file:" + e.getMessage() );
		} catch (IOException e) {
		   System.out.println("IOException:" + e.getMessage());
		}
	}
	
	// Display the stored image.  Of course, the Java Swing libraries 
    // provide much better functionality to work with image data, including
	// classes for directly reading images from disk and displaying them 
	// to the screen. This demo is to give you an idea of what those classes
	// might be doing. This is *not* the way to display images in Swing.
	@Override
	public void paintComponent(Graphics gc) {
		super.paintComponent(gc);
		for (int i=0; i<width; i++) {
			for (int j=0; j<height; j++) {
				gc.setColor(new Color(data[i][j], data[i][j], data[i][j]));
				gc.drawLine(i, j, i, j);
			}
		}
	}
}
